import { isPresent } from '@ember/utils'
import { get } from '@ember/object'
import { A } from '@ember/array'

export default function(options = [], path) {
  let groups = new A()

  options.forEach(option => {
    let name = get(option, path) || "Unknown"
    let group = groups.findBy("name", name)

    if (isPresent(group)) {
      get(group, "options").push(option)
    } else {
      group = { path, name, options: [option] }
      groups.push(group)
    }
  })

  return groups
}
